﻿namespace HeuristicLab.Problems.ProgramSynthesis.Base.Erc.StringVector {
  using System.Collections.Generic;

  using HeuristicLab.Common;
  using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

  [StorableClass]
  public class StringVectorErcOptions : ErcOption<IReadOnlyList<string>> {
    public StringVectorErcOptions() { }
    public StringVectorErcOptions(params WeightedErcItem<IReadOnlyList<string>>[] values) : base(true, values) { }

    public StringVectorErcOptions(bool isEnabled, params WeightedErcItem<IReadOnlyList<string>>[] values) : base(isEnabled, values) { }

    [StorableConstructor]
    protected StringVectorErcOptions(bool deserializing) : base(deserializing) { }

    public StringVectorErcOptions(StringVectorErcOptions origin, Cloner cloner) : base(origin, cloner) { }

    public override IDeepCloneable Clone(Cloner cloner) {
      return new StringVectorErcOptions(this, cloner);
    }

    public override string ToString() {
      return "StringVector";
    }
  }
}
